# Uses of Class
net.shibboleth.shared.logic.ScriptedConsumer

Packages that use ScriptedConsumer
Package
Description
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.

## Uses of ScriptedConsumer in net.shibboleth.shared.logic

Methods in net.shibboleth.shared.logic that return ScriptedConsumer
Modifier and Type
Method
Description
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.